Package: groovy.org.codenarc.rule.concurrency

## [Groovy] Class SynchronizedOnThisRule

- groovy.org.codenarc.rule.concurrency.SynchronizedOnThisRule

- Synchronized On This Rule - This rule reports uses of the synchronized blocks where the synchronization reference is 'this'. Doing this effectively makes your synchronization policy public and modifiable by other objects. To avoid possibilities of deadlock, it is better to synchronize on internal objects.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority